From e430f43199bd99ec7cbb72e0a8ff3a7720b5ef31 Mon Sep 17 00:00:00 2001
From: Paul Fenwick <pjf@perltraining.com.au>
Date: Tue, 25 Nov 2008 12:30:09 +1100
Subject: [PATCH] Simple patch to avoid doing work if we're being required and not run.

---
 dh-make-perl |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/dh-make-perl b/dh-make-perl
index 834d708..80a2f79 100755
--- a/dh-make-perl
+++ b/dh-make-perl
@@ -115,6 +115,11 @@ $startdir  = getcwd();
 $datadir   = '/usr/share/dh-make-perl';
 $homedir   = "$ENV{HOME}/.dh-make-perl";
 
+# If we're being required rather than called as a main command, then
+# return now without doing any work.  This facilitates easier testing.
+
+return 1 if $0 ne __FILE__;
+
 my ( $perlname, $maindir, $modulepm, $meta );
 my ($pkgname, $srcname,
 
@@ -1858,4 +1863,3 @@ Patches from:
 ... And others who, sadly, we have forgot to add :-/
 
 =cut
-
-- 
1.5.5.GIT

